/**
 * An R implementation of javax.script (JSR 223) using JRI or Rserve.
 * <p>
 * Sample usage:
 * <pre>
 *  ScriptEngineManager manager = new ScriptEngineManager();
 *  ScriptEngine engine = manager.getEngineByExtension("R");
 *  Object ret = engine.eval("print(1); 1");
 *  ret = ((Invocable)engine).invokeFunction("print", 2);
 *  ((ScriptEngineEx)engine).close();
 * </pre>
 * @author Martyn Tebby
 */
package org.rosuda.jrs;
